<template>
    <div class="row wrapper" id="first_section">
        <div class="qalibry-content">
            <img src="/assets/img/qalibry.png" alt />
        </div>
        <div class="content row">
            <NavSectionOne></NavSectionOne>
            <div class="body row">
                <div class="header row">
                    <img src="/assets/img/logo.svg" alt class="header-logo" />

                    <div class="header-help">
                        <img src="/assets/img/phone-24.svg" alt />
                        <div class="header-help-text">
                            <a href="tel:+78008888589">8 800 888 85 89</a>
                            <p>{{ local.technicalHelp[$lang] }}</p>
                        </div>
                    </div>

                    <div class="header-help">
                        <img src="/assets/img/phone.svg" alt />
                        <div class="header-help-text">
                            <a href="tel:+74958888589">+7 495 888-85-89</a>
                            <p>{{ local.helpSchedule[$lang] }}</p>
                        </div>
                    </div>

                    <button class="header-connect_btn">{{ local.connect[$lang] }}</button>

                    <div class="header-login" @click="$parent.openModal('loginForm')">
                        <img class="header-login-key" src="/assets/img/lk.svg" alt />
                        <span>{{local.login[$lang]}}</span>
                    </div>
                    <button class="header-menu">
                        <img src="/assets/img/white.svg" alt />
                    </button>
                </div>

                <div class="middle_area row">
                    <p>{{ local.salesIncrement[$lang] }}</p>
                    <h1 v-html="local.loyaltyProgram[$lang]"></h1>
                    <div class="middle_area-features">
                        <div class="middle_area-features-item">
                            <img src="/assets/img/fill.png" alt />
                            <span>{{ local.withoutInvestment[$lang] }}</span>
                        </div>
                        <div class="middle_area-features-item">
                            <img src="/assets/img/fill.png" alt />
                            <span>{{ local.unlimitedTestPeriod[$lang] }}</span>
                        </div>
                        <div class="middle_area-features-item">
                            <img src="/assets/img/fill.png" alt />
                            <span>{{ local.fastSettings[$lang] }}</span>
                        </div>
                        <div class="middle_area-features-item">
                            <img src="/assets/img/fill.png" alt />
                            <span>{{ local.simpleControl[$lang] }}</span>
                        </div>
                        <div class="middle_area-features-item">
                            <img src="/assets/img/fill.png" alt />
                            <span>{{ local.comfortableAnalytics[$lang] }}</span>
                        </div>
                        <div class="middle_area-features-item">
                            <img src="/assets/img/fill.png" alt />
                            <span>{{ local.technicalHelp[$lang] }}</span>
                        </div>
                    </div>

                    <button
                        class="middle_area-get_demo"
                        @click="$parent.openModal('accessForm')"
                    >{{ local.getDemo[$lang] }}</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import NavSectionOne from './NavSectionOne.vue';
import local from '../localisation/firstSectionLocalisation.js';
export default {
    data: () => ({
        local,
    }),
    components: {
        NavSectionOne,
    },
};
</script>

<style lang="scss" scoped>
.wrapper {
    background-image: linear-gradient(to left, #31b465, #1c7062);
    position: relative;
    justify-content: center;
    padding-bottom: 50px;
    .content {
        max-width: 1680px;
        justify-content: center;
        width: 100%;
        z-index: 10;
    }
}
.qalibry-content {
    position: absolute;
    width: 43%;
    height: 75%;
    top: 15%;
    right: 5%;
    @media (max-width: 900px) {
        width: 90%;
        top: 0;
        right: 2%;
    }
    @media (max-width: 620px) {
        width: 100%;
        right: -10%;
    }
    img {
        position: absolute;
        width: 100%;
        right: 0;
        @media (max-width: 620px) {
            top: 70px;
        }
    }
}
.body {
    width: 100%;
    max-width: 1100px;
    padding-top: 50px;
    flex-wrap: wrap;
    align-content: flex-start;
    @media (max-width: 900px) {
        padding-top: 37px;
    }
    @media (max-width: 620px) {
        padding-top: 17px;
    }
    .header {
        width: 100%;
        height: auto;
        align-items: center;
        &-logo {
            width: 140px;
            height: 60px;
            @media (max-width: 620px) {
                width: 116px;
                height: 50px;
            }
        }
        &-help,
        &-login {
            @media (max-width: 900px) {
                margin-top: -18px;
            }
        }
        &-help {
            display: flex;
            align-items: center;
            @media (max-width: 620px) {
                display: none;
            }
            img {
                fill: #fff;
            }
            &-text {
                margin-left: 19px;
                @media (max-width: 900px) {
                    margin-left: 10px;
                }

                a {
                    text-decoration: none;
                    color: #ffffff;
                    font-size: 16px;
                }
                p {
                    color: #dedc00;
                    font-size: 10px;
                    text-transform: uppercase;
                    @media (max-width: 900px) {
                        display: none;
                    }
                }
            }
        }
        &-login {
            span {
                color: #95c11f;
            }
        }

        &-connect_btn {
            width: 190px;
            height: 40px;
            border-radius: 48px;
            border: none;
            text-transform: uppercase;
            background-image: linear-gradient(to right, #dedc00, #95c11f);
            font-family: Comfortaa, sans-serif;
            font-size: 12px;
            font-weight: bold;
            text-align: center;
            color: #ffffff;
            outline: none;
            @media (max-width: 900px) {
                // position: absolute;
                // top: 280px;
                display: none;
            }
            @media (max-width: 620px) {
            }
        }
        &-menu {
            display: none;
            background-color: transparent;
            border-color: transparent;

            @media (max-width: 620px) {
                display: block;
            }
        }
        &-login {
            display: flex;
            align-items: flex-end;
            font-family: Comfortaa, sans-serif;
            font-size: 13px;
            font-weight: bold;
            letter-spacing: 0.6px;
            color: #ffffff;
            text-transform: uppercase;
            // background-image: url("/assets/img/lk.png");
            @media (max-width: 620px) {
                display: none;
            }
            img {
                margin-right: 10px;
            }
            &:hover {
                cursor: pointer;
            }
        }
    }

    .middle_area {
        margin-top: 178px;
        flex-wrap: wrap;
        flex-direction: column;
        @media (max-width: 900px) {
            margin-top: 305px;
        }
        @media (max-width: 620px) {
            margin-top: 380px;
        }
        & > p {
            height: 30px;
            width: 320px;
            border-radius: 4px;
            background-color: #dedc00;
            padding: 5px 7px;
            font-family: Comfortaa, sans-serif;
            font-size: 13px;
            font-weight: bold;
            text-align: center;
            text-transform: uppercase;
            letter-spacing: 0.6px;
            color: #1d7b6b;
            @media (max-width: 620px) {
                width: 250px;
                height: 26px;
                font-size: 10px;
                letter-spacing: 0.46px;
            }
        }
        h1 {
            width: 100%;
            height: 214px;
            font-family: Comfortaa, sans-serif;
            font-size: 80px;
            font-weight: 300;
            letter-spacing: 1.51px;
            color: #95c11f;
            margin-top: 20px;
            text-transform: uppercase;
            @media (max-width: 900px) {
                font-size: 60px;
                margin-bottom: 0;
            }
            @media (max-width: 620px) {
                font-size: 36px;
                letter-spacing: 0.68px;
                margin-bottom: -50px;
            }
        }
        &-features {
            width: 816px;
            margin-top: 58px;
            display: flex;
            flex-wrap: wrap;
            @media (max-width: 900px) {
                margin-top: 0;
            }
            &-item {
                display: flex;
                align-items: center;
                width: 33.33%;
                margin-bottom: 40px;
                @media (max-width: 900px) {
                    width: 50%;
                    margin-bottom: 20px;
                }
                @media (max-width: 620px) {
                    width: 100%;
                    margin-bottom: 20px;
                }
                span {
                    width: 140px;
                    font-family: OpenSans, sans-serif;
                    font-size: 14px;
                    line-height: 1.71;
                    color: #ffffff;
                    margin-left: 20px;
                    @media (max-width: 900px) {
                        font-size: 13px;
                        width: 214px;
                    }
                    @media (max-width: 620px) {
                        font-size: 12px;
                        line-height: 1.67;
                        width: 100%;
                    }
                }
                img {
                    @media (max-width: 620px) {
                        width: 24px;
                        height: 24px;
                    }
                }
                &:first-of-type span {
                    width: 100px;
                    @media (max-width: 900px) {
                        width: 200px;
                    }
                    @media (max-width: 620px) {
                        width: 100%;
                    }
                }
            }
        }
        &-get_demo {
            width: 300px;
            height: 50px;
            border-radius: 48px;
            border: solid 2px #ffffff;
            background-color: rgba(255, 255, 255, 0);
            outline: none;
            font-family: Comfortaa, sans-serif;
            margin-top: 25px;
            font-size: 14px;
            font-weight: bold;
            letter-spacing: 1px;
            text-align: center;
            color: #ffffff;
            text-transform: uppercase;
            @media (max-width: 900px) {
                margin: 52px 0 72px;
            }
            @media (max-width: 900px) {
                width: 280px;
                height: 40px;
                margin: 50px 0 0;
            }
        }
    }
}
</style>
